
set echo on

INSERT FIRST
   --<>--
   WHEN owner = 'SYSTEM'
   THEN
      INTO t1 (owner, object_name)
      VALUES  (owner, object_name)
   --<>--
   WHEN object_type = 'TABLE'
   THEN
      INTO t2 (owner, object_name, object_type)
      VALUES  (owner, object_name, object_type)
   --<>--
   WHEN object_name LIKE 'DBMS%'
   THEN
      INTO t3 (owner, object_name, object_type)
      VALUES  (owner, object_name, object_type)
   --<>--
   ELSE
      INTO t4 (owner, object_type, object_name, created, object_id)
      VALUES  (owner, object_type, object_name, created, object_id)
   --<>--
SELECT owner
,      object_type
,      object_name
,      object_id
,      created
FROM   all_objects;

SELECT COUNT(*) FROM t1;
SELECT COUNT(*) FROM t2;
SELECT COUNT(*) FROM t3;
SELECT COUNT(*) FROM t4;

ROLLBACK;
