
set echo on

DROP SEQUENCE multi_table_seq;
CREATE SEQUENCE multi_table_seq;

INSERT ALL
   --<>--
   INTO t1 (owner, object_id)
   VALUES  (owner, multi_table_seq.NEXTVAL)
   --<>--
   INTO t1 (owner, object_id)
   VALUES  (owner, multi_table_seq.NEXTVAL)
   --<>--
   INTO t1 (owner, object_id)
   VALUES  (owner, multi_table_seq.NEXTVAL)
   --<>--
   INTO t1 (owner, object_id)
   VALUES  (owner, multi_table_seq.NEXTVAL)
   --<>--
SELECT owner
,      object_type
,      object_name
,      object_id
,      created
FROM   all_objects
WHERE  ROWNUM <= 50;

SELECT COUNT(*)                   AS record_count
,      COUNT(DISTINCT(object_id)) AS sequence_numbers_assigned
FROM   t1;

ROLLBACK;

